Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network118.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
118.128.0.0
Broadcast address
118.255.255.255
First usable
118.128.0.1
Last usable
118.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 76800000 · Integer 1988100096 to 1996488703
Reverse DNS zones
128.118.in-addr.arpa
129.118.in-addr.arpa
130.118.in-addr.arpa
131.118.in-addr.arpa
132.118.in-addr.arpa
133.118.in-addr.arpa
134.118.in-addr.arpa
135.118.in-addr.arpa
136.118.in-addr.arpa
137.118.in-addr.arpa
138.118.in-addr.arpa
139.118.in-addr.arpa
140.118.in-addr.arpa
141.118.in-addr.arpa
142.118.in-addr.arpa
143.118.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110110.10000000.00000000.00000000118.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01110110.10000000.00000000.00000000118.128.0.0
Broadcast01110110.11111111.11111111.11111111118.255.255.255
Split into smaller subnets/17

118.128.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1118.128.0.0/17118.128.0.1 to 118.128.127.254118.128.127.25532,766
2118.128.128.0/17118.128.128.1 to 118.128.255.254118.128.255.25532,766
3118.129.0.0/17118.129.0.1 to 118.129.127.254118.129.127.25532,766
4118.129.128.0/17118.129.128.1 to 118.129.255.254118.129.255.25532,766
5118.130.0.0/17118.130.0.1 to 118.130.127.254118.130.127.25532,766
6118.130.128.0/17118.130.128.1 to 118.130.255.254118.130.255.25532,766
7118.131.0.0/17118.131.0.1 to 118.131.127.254118.131.127.25532,766
8118.131.128.0/17118.131.128.1 to 118.131.255.254118.131.255.25532,766
9118.132.0.0/17118.132.0.1 to 118.132.127.254118.132.127.25532,766
10118.132.128.0/17118.132.128.1 to 118.132.255.254118.132.255.25532,766
11118.133.0.0/17118.133.0.1 to 118.133.127.254118.133.127.25532,766
12118.133.128.0/17118.133.128.1 to 118.133.255.254118.133.255.25532,766
13118.134.0.0/17118.134.0.1 to 118.134.127.254118.134.127.25532,766
14118.134.128.0/17118.134.128.1 to 118.134.255.254118.134.255.25532,766
15118.135.0.0/17118.135.0.1 to 118.135.127.254118.135.127.25532,766
16118.135.128.0/17118.135.128.1 to 118.135.255.254118.135.255.25532,766
17118.136.0.0/17118.136.0.1 to 118.136.127.254118.136.127.25532,766
18118.136.128.0/17118.136.128.1 to 118.136.255.254118.136.255.25532,766
19118.137.0.0/17118.137.0.1 to 118.137.127.254118.137.127.25532,766
20118.137.128.0/17118.137.128.1 to 118.137.255.254118.137.255.25532,766
21118.138.0.0/17118.138.0.1 to 118.138.127.254118.138.127.25532,766
22118.138.128.0/17118.138.128.1 to 118.138.255.254118.138.255.25532,766
23118.139.0.0/17118.139.0.1 to 118.139.127.254118.139.127.25532,766
24118.139.128.0/17118.139.128.1 to 118.139.255.254118.139.255.25532,766
25118.140.0.0/17118.140.0.1 to 118.140.127.254118.140.127.25532,766
26118.140.128.0/17118.140.128.1 to 118.140.255.254118.140.255.25532,766
27118.141.0.0/17118.141.0.1 to 118.141.127.254118.141.127.25532,766
28118.141.128.0/17118.141.128.1 to 118.141.255.254118.141.255.25532,766
29118.142.0.0/17118.142.0.1 to 118.142.127.254118.142.127.25532,766
30118.142.128.0/17118.142.128.1 to 118.142.255.254118.142.255.25532,766
31118.143.0.0/17118.143.0.1 to 118.143.127.254118.143.127.25532,766
32118.143.128.0/17118.143.128.1 to 118.143.255.254118.143.255.25532,766
33118.144.0.0/17118.144.0.1 to 118.144.127.254118.144.127.25532,766
34118.144.128.0/17118.144.128.1 to 118.144.255.254118.144.255.25532,766
35118.145.0.0/17118.145.0.1 to 118.145.127.254118.145.127.25532,766
36118.145.128.0/17118.145.128.1 to 118.145.255.254118.145.255.25532,766
37118.146.0.0/17118.146.0.1 to 118.146.127.254118.146.127.25532,766
38118.146.128.0/17118.146.128.1 to 118.146.255.254118.146.255.25532,766
39118.147.0.0/17118.147.0.1 to 118.147.127.254118.147.127.25532,766
40118.147.128.0/17118.147.128.1 to 118.147.255.254118.147.255.25532,766
41118.148.0.0/17118.148.0.1 to 118.148.127.254118.148.127.25532,766
42118.148.128.0/17118.148.128.1 to 118.148.255.254118.148.255.25532,766
43118.149.0.0/17118.149.0.1 to 118.149.127.254118.149.127.25532,766
44118.149.128.0/17118.149.128.1 to 118.149.255.254118.149.255.25532,766
45118.150.0.0/17118.150.0.1 to 118.150.127.254118.150.127.25532,766
46118.150.128.0/17118.150.128.1 to 118.150.255.254118.150.255.25532,766
47118.151.0.0/17118.151.0.1 to 118.151.127.254118.151.127.25532,766
48118.151.128.0/17118.151.128.1 to 118.151.255.254118.151.255.25532,766
49118.152.0.0/17118.152.0.1 to 118.152.127.254118.152.127.25532,766
50118.152.128.0/17118.152.128.1 to 118.152.255.254118.152.255.25532,766
51118.153.0.0/17118.153.0.1 to 118.153.127.254118.153.127.25532,766
52118.153.128.0/17118.153.128.1 to 118.153.255.254118.153.255.25532,766
53118.154.0.0/17118.154.0.1 to 118.154.127.254118.154.127.25532,766
54118.154.128.0/17118.154.128.1 to 118.154.255.254118.154.255.25532,766
55118.155.0.0/17118.155.0.1 to 118.155.127.254118.155.127.25532,766
56118.155.128.0/17118.155.128.1 to 118.155.255.254118.155.255.25532,766
57118.156.0.0/17118.156.0.1 to 118.156.127.254118.156.127.25532,766
58118.156.128.0/17118.156.128.1 to 118.156.255.254118.156.255.25532,766
59118.157.0.0/17118.157.0.1 to 118.157.127.254118.157.127.25532,766
60118.157.128.0/17118.157.128.1 to 118.157.255.254118.157.255.25532,766
61118.158.0.0/17118.158.0.1 to 118.158.127.254118.158.127.25532,766
62118.158.128.0/17118.158.128.1 to 118.158.255.254118.158.255.25532,766
63118.159.0.0/17118.159.0.1 to 118.159.127.254118.159.127.25532,766
64118.159.128.0/17118.159.128.1 to 118.159.255.254118.159.255.25532,766
65118.160.0.0/17118.160.0.1 to 118.160.127.254118.160.127.25532,766
66118.160.128.0/17118.160.128.1 to 118.160.255.254118.160.255.25532,766
67118.161.0.0/17118.161.0.1 to 118.161.127.254118.161.127.25532,766
68118.161.128.0/17118.161.128.1 to 118.161.255.254118.161.255.25532,766
69118.162.0.0/17118.162.0.1 to 118.162.127.254118.162.127.25532,766
70118.162.128.0/17118.162.128.1 to 118.162.255.254118.162.255.25532,766
71118.163.0.0/17118.163.0.1 to 118.163.127.254118.163.127.25532,766
72118.163.128.0/17118.163.128.1 to 118.163.255.254118.163.255.25532,766
73118.164.0.0/17118.164.0.1 to 118.164.127.254118.164.127.25532,766
74118.164.128.0/17118.164.128.1 to 118.164.255.254118.164.255.25532,766
75118.165.0.0/17118.165.0.1 to 118.165.127.254118.165.127.25532,766
76118.165.128.0/17118.165.128.1 to 118.165.255.254118.165.255.25532,766
77118.166.0.0/17118.166.0.1 to 118.166.127.254118.166.127.25532,766
78118.166.128.0/17118.166.128.1 to 118.166.255.254118.166.255.25532,766
79118.167.0.0/17118.167.0.1 to 118.167.127.254118.167.127.25532,766
80118.167.128.0/17118.167.128.1 to 118.167.255.254118.167.255.25532,766
81118.168.0.0/17118.168.0.1 to 118.168.127.254118.168.127.25532,766
82118.168.128.0/17118.168.128.1 to 118.168.255.254118.168.255.25532,766
83118.169.0.0/17118.169.0.1 to 118.169.127.254118.169.127.25532,766
84118.169.128.0/17118.169.128.1 to 118.169.255.254118.169.255.25532,766
85118.170.0.0/17118.170.0.1 to 118.170.127.254118.170.127.25532,766
86118.170.128.0/17118.170.128.1 to 118.170.255.254118.170.255.25532,766
87118.171.0.0/17118.171.0.1 to 118.171.127.254118.171.127.25532,766
88118.171.128.0/17118.171.128.1 to 118.171.255.254118.171.255.25532,766
89118.172.0.0/17118.172.0.1 to 118.172.127.254118.172.127.25532,766
90118.172.128.0/17118.172.128.1 to 118.172.255.254118.172.255.25532,766
91118.173.0.0/17118.173.0.1 to 118.173.127.254118.173.127.25532,766
92118.173.128.0/17118.173.128.1 to 118.173.255.254118.173.255.25532,766
93118.174.0.0/17118.174.0.1 to 118.174.127.254118.174.127.25532,766
94118.174.128.0/17118.174.128.1 to 118.174.255.254118.174.255.25532,766
95118.175.0.0/17118.175.0.1 to 118.175.127.254118.175.127.25532,766
96118.175.128.0/17118.175.128.1 to 118.175.255.254118.175.255.25532,766
97118.176.0.0/17118.176.0.1 to 118.176.127.254118.176.127.25532,766
98118.176.128.0/17118.176.128.1 to 118.176.255.254118.176.255.25532,766
99118.177.0.0/17118.177.0.1 to 118.177.127.254118.177.127.25532,766
100118.177.128.0/17118.177.128.1 to 118.177.255.254118.177.255.25532,766
101118.178.0.0/17118.178.0.1 to 118.178.127.254118.178.127.25532,766
102118.178.128.0/17118.178.128.1 to 118.178.255.254118.178.255.25532,766
103118.179.0.0/17118.179.0.1 to 118.179.127.254118.179.127.25532,766
104118.179.128.0/17118.179.128.1 to 118.179.255.254118.179.255.25532,766
105118.180.0.0/17118.180.0.1 to 118.180.127.254118.180.127.25532,766
106118.180.128.0/17118.180.128.1 to 118.180.255.254118.180.255.25532,766
107118.181.0.0/17118.181.0.1 to 118.181.127.254118.181.127.25532,766
108118.181.128.0/17118.181.128.1 to 118.181.255.254118.181.255.25532,766
109118.182.0.0/17118.182.0.1 to 118.182.127.254118.182.127.25532,766
110118.182.128.0/17118.182.128.1 to 118.182.255.254118.182.255.25532,766
111118.183.0.0/17118.183.0.1 to 118.183.127.254118.183.127.25532,766
112118.183.128.0/17118.183.128.1 to 118.183.255.254118.183.255.25532,766
113118.184.0.0/17118.184.0.1 to 118.184.127.254118.184.127.25532,766
114118.184.128.0/17118.184.128.1 to 118.184.255.254118.184.255.25532,766
115118.185.0.0/17118.185.0.1 to 118.185.127.254118.185.127.25532,766
116118.185.128.0/17118.185.128.1 to 118.185.255.254118.185.255.25532,766
117118.186.0.0/17118.186.0.1 to 118.186.127.254118.186.127.25532,766
118118.186.128.0/17118.186.128.1 to 118.186.255.254118.186.255.25532,766
119118.187.0.0/17118.187.0.1 to 118.187.127.254118.187.127.25532,766
120118.187.128.0/17118.187.128.1 to 118.187.255.254118.187.255.25532,766
121118.188.0.0/17118.188.0.1 to 118.188.127.254118.188.127.25532,766
122118.188.128.0/17118.188.128.1 to 118.188.255.254118.188.255.25532,766
123118.189.0.0/17118.189.0.1 to 118.189.127.254118.189.127.25532,766
124118.189.128.0/17118.189.128.1 to 118.189.255.254118.189.255.25532,766
125118.190.0.0/17118.190.0.1 to 118.190.127.254118.190.127.25532,766
126118.190.128.0/17118.190.128.1 to 118.190.255.254118.190.255.25532,766
127118.191.0.0/17118.191.0.1 to 118.191.127.254118.191.127.25532,766
128118.191.128.0/17118.191.128.1 to 118.191.255.254118.191.255.25532,766
129118.192.0.0/17118.192.0.1 to 118.192.127.254118.192.127.25532,766
130118.192.128.0/17118.192.128.1 to 118.192.255.254118.192.255.25532,766
131118.193.0.0/17118.193.0.1 to 118.193.127.254118.193.127.25532,766
132118.193.128.0/17118.193.128.1 to 118.193.255.254118.193.255.25532,766
133118.194.0.0/17118.194.0.1 to 118.194.127.254118.194.127.25532,766
134118.194.128.0/17118.194.128.1 to 118.194.255.254118.194.255.25532,766
135118.195.0.0/17118.195.0.1 to 118.195.127.254118.195.127.25532,766
136118.195.128.0/17118.195.128.1 to 118.195.255.254118.195.255.25532,766
137118.196.0.0/17118.196.0.1 to 118.196.127.254118.196.127.25532,766
138118.196.128.0/17118.196.128.1 to 118.196.255.254118.196.255.25532,766
139118.197.0.0/17118.197.0.1 to 118.197.127.254118.197.127.25532,766
140118.197.128.0/17118.197.128.1 to 118.197.255.254118.197.255.25532,766
141118.198.0.0/17118.198.0.1 to 118.198.127.254118.198.127.25532,766
142118.198.128.0/17118.198.128.1 to 118.198.255.254118.198.255.25532,766
143118.199.0.0/17118.199.0.1 to 118.199.127.254118.199.127.25532,766
144118.199.128.0/17118.199.128.1 to 118.199.255.254118.199.255.25532,766
145118.200.0.0/17118.200.0.1 to 118.200.127.254118.200.127.25532,766
146118.200.128.0/17118.200.128.1 to 118.200.255.254118.200.255.25532,766
147118.201.0.0/17118.201.0.1 to 118.201.127.254118.201.127.25532,766
148118.201.128.0/17118.201.128.1 to 118.201.255.254118.201.255.25532,766
149118.202.0.0/17118.202.0.1 to 118.202.127.254118.202.127.25532,766
150118.202.128.0/17118.202.128.1 to 118.202.255.254118.202.255.25532,766
151118.203.0.0/17118.203.0.1 to 118.203.127.254118.203.127.25532,766
152118.203.128.0/17118.203.128.1 to 118.203.255.254118.203.255.25532,766
153118.204.0.0/17118.204.0.1 to 118.204.127.254118.204.127.25532,766
154118.204.128.0/17118.204.128.1 to 118.204.255.254118.204.255.25532,766
155118.205.0.0/17118.205.0.1 to 118.205.127.254118.205.127.25532,766
156118.205.128.0/17118.205.128.1 to 118.205.255.254118.205.255.25532,766
157118.206.0.0/17118.206.0.1 to 118.206.127.254118.206.127.25532,766
158118.206.128.0/17118.206.128.1 to 118.206.255.254118.206.255.25532,766
159118.207.0.0/17118.207.0.1 to 118.207.127.254118.207.127.25532,766
160118.207.128.0/17118.207.128.1 to 118.207.255.254118.207.255.25532,766
161118.208.0.0/17118.208.0.1 to 118.208.127.254118.208.127.25532,766
162118.208.128.0/17118.208.128.1 to 118.208.255.254118.208.255.25532,766
163118.209.0.0/17118.209.0.1 to 118.209.127.254118.209.127.25532,766
164118.209.128.0/17118.209.128.1 to 118.209.255.254118.209.255.25532,766
165118.210.0.0/17118.210.0.1 to 118.210.127.254118.210.127.25532,766
166118.210.128.0/17118.210.128.1 to 118.210.255.254118.210.255.25532,766
167118.211.0.0/17118.211.0.1 to 118.211.127.254118.211.127.25532,766
168118.211.128.0/17118.211.128.1 to 118.211.255.254118.211.255.25532,766
169118.212.0.0/17118.212.0.1 to 118.212.127.254118.212.127.25532,766
170118.212.128.0/17118.212.128.1 to 118.212.255.254118.212.255.25532,766
171118.213.0.0/17118.213.0.1 to 118.213.127.254118.213.127.25532,766
172118.213.128.0/17118.213.128.1 to 118.213.255.254118.213.255.25532,766
173118.214.0.0/17118.214.0.1 to 118.214.127.254118.214.127.25532,766
174118.214.128.0/17118.214.128.1 to 118.214.255.254118.214.255.25532,766
175118.215.0.0/17118.215.0.1 to 118.215.127.254118.215.127.25532,766
176118.215.128.0/17118.215.128.1 to 118.215.255.254118.215.255.25532,766
177118.216.0.0/17118.216.0.1 to 118.216.127.254118.216.127.25532,766
178118.216.128.0/17118.216.128.1 to 118.216.255.254118.216.255.25532,766
179118.217.0.0/17118.217.0.1 to 118.217.127.254118.217.127.25532,766
180118.217.128.0/17118.217.128.1 to 118.217.255.254118.217.255.25532,766
181118.218.0.0/17118.218.0.1 to 118.218.127.254118.218.127.25532,766
182118.218.128.0/17118.218.128.1 to 118.218.255.254118.218.255.25532,766
183118.219.0.0/17118.219.0.1 to 118.219.127.254118.219.127.25532,766
184118.219.128.0/17118.219.128.1 to 118.219.255.254118.219.255.25532,766
185118.220.0.0/17118.220.0.1 to 118.220.127.254118.220.127.25532,766
186118.220.128.0/17118.220.128.1 to 118.220.255.254118.220.255.25532,766
187118.221.0.0/17118.221.0.1 to 118.221.127.254118.221.127.25532,766
188118.221.128.0/17118.221.128.1 to 118.221.255.254118.221.255.25532,766
189118.222.0.0/17118.222.0.1 to 118.222.127.254118.222.127.25532,766
190118.222.128.0/17118.222.128.1 to 118.222.255.254118.222.255.25532,766
191118.223.0.0/17118.223.0.1 to 118.223.127.254118.223.127.25532,766
192118.223.128.0/17118.223.128.1 to 118.223.255.254118.223.255.25532,766
193118.224.0.0/17118.224.0.1 to 118.224.127.254118.224.127.25532,766
194118.224.128.0/17118.224.128.1 to 118.224.255.254118.224.255.25532,766
195118.225.0.0/17118.225.0.1 to 118.225.127.254118.225.127.25532,766
196118.225.128.0/17118.225.128.1 to 118.225.255.254118.225.255.25532,766
197118.226.0.0/17118.226.0.1 to 118.226.127.254118.226.127.25532,766
198118.226.128.0/17118.226.128.1 to 118.226.255.254118.226.255.25532,766
199118.227.0.0/17118.227.0.1 to 118.227.127.254118.227.127.25532,766
200118.227.128.0/17118.227.128.1 to 118.227.255.254118.227.255.25532,766
201118.228.0.0/17118.228.0.1 to 118.228.127.254118.228.127.25532,766
202118.228.128.0/17118.228.128.1 to 118.228.255.254118.228.255.25532,766
203118.229.0.0/17118.229.0.1 to 118.229.127.254118.229.127.25532,766
204118.229.128.0/17118.229.128.1 to 118.229.255.254118.229.255.25532,766
205118.230.0.0/17118.230.0.1 to 118.230.127.254118.230.127.25532,766
206118.230.128.0/17118.230.128.1 to 118.230.255.254118.230.255.25532,766
207118.231.0.0/17118.231.0.1 to 118.231.127.254118.231.127.25532,766
208118.231.128.0/17118.231.128.1 to 118.231.255.254118.231.255.25532,766
209118.232.0.0/17118.232.0.1 to 118.232.127.254118.232.127.25532,766
210118.232.128.0/17118.232.128.1 to 118.232.255.254118.232.255.25532,766
211118.233.0.0/17118.233.0.1 to 118.233.127.254118.233.127.25532,766
212118.233.128.0/17118.233.128.1 to 118.233.255.254118.233.255.25532,766
213118.234.0.0/17118.234.0.1 to 118.234.127.254118.234.127.25532,766
214118.234.128.0/17118.234.128.1 to 118.234.255.254118.234.255.25532,766
215118.235.0.0/17118.235.0.1 to 118.235.127.254118.235.127.25532,766
216118.235.128.0/17118.235.128.1 to 118.235.255.254118.235.255.25532,766
217118.236.0.0/17118.236.0.1 to 118.236.127.254118.236.127.25532,766
218118.236.128.0/17118.236.128.1 to 118.236.255.254118.236.255.25532,766
219118.237.0.0/17118.237.0.1 to 118.237.127.254118.237.127.25532,766
220118.237.128.0/17118.237.128.1 to 118.237.255.254118.237.255.25532,766
221118.238.0.0/17118.238.0.1 to 118.238.127.254118.238.127.25532,766
222118.238.128.0/17118.238.128.1 to 118.238.255.254118.238.255.25532,766
223118.239.0.0/17118.239.0.1 to 118.239.127.254118.239.127.25532,766
224118.239.128.0/17118.239.128.1 to 118.239.255.254118.239.255.25532,766
225118.240.0.0/17118.240.0.1 to 118.240.127.254118.240.127.25532,766
226118.240.128.0/17118.240.128.1 to 118.240.255.254118.240.255.25532,766
227118.241.0.0/17118.241.0.1 to 118.241.127.254118.241.127.25532,766
228118.241.128.0/17118.241.128.1 to 118.241.255.254118.241.255.25532,766
229118.242.0.0/17118.242.0.1 to 118.242.127.254118.242.127.25532,766
230118.242.128.0/17118.242.128.1 to 118.242.255.254118.242.255.25532,766
231118.243.0.0/17118.243.0.1 to 118.243.127.254118.243.127.25532,766
232118.243.128.0/17118.243.128.1 to 118.243.255.254118.243.255.25532,766
233118.244.0.0/17118.244.0.1 to 118.244.127.254118.244.127.25532,766
234118.244.128.0/17118.244.128.1 to 118.244.255.254118.244.255.25532,766
235118.245.0.0/17118.245.0.1 to 118.245.127.254118.245.127.25532,766
236118.245.128.0/17118.245.128.1 to 118.245.255.254118.245.255.25532,766
237118.246.0.0/17118.246.0.1 to 118.246.127.254118.246.127.25532,766
238118.246.128.0/17118.246.128.1 to 118.246.255.254118.246.255.25532,766
239118.247.0.0/17118.247.0.1 to 118.247.127.254118.247.127.25532,766
240118.247.128.0/17118.247.128.1 to 118.247.255.254118.247.255.25532,766
241118.248.0.0/17118.248.0.1 to 118.248.127.254118.248.127.25532,766
242118.248.128.0/17118.248.128.1 to 118.248.255.254118.248.255.25532,766
243118.249.0.0/17118.249.0.1 to 118.249.127.254118.249.127.25532,766
244118.249.128.0/17118.249.128.1 to 118.249.255.254118.249.255.25532,766
245118.250.0.0/17118.250.0.1 to 118.250.127.254118.250.127.25532,766
246118.250.128.0/17118.250.128.1 to 118.250.255.254118.250.255.25532,766
247118.251.0.0/17118.251.0.1 to 118.251.127.254118.251.127.25532,766
248118.251.128.0/17118.251.128.1 to 118.251.255.254118.251.255.25532,766
249118.252.0.0/17118.252.0.1 to 118.252.127.254118.252.127.25532,766
250118.252.128.0/17118.252.128.1 to 118.252.255.254118.252.255.25532,766
251118.253.0.0/17118.253.0.1 to 118.253.127.254118.253.127.25532,766
252118.253.128.0/17118.253.128.1 to 118.253.255.254118.253.255.25532,766
253118.254.0.0/17118.254.0.1 to 118.254.127.254118.254.127.25532,766
254118.254.128.0/17118.254.128.1 to 118.254.255.254118.254.255.25532,766
255118.255.0.0/17118.255.0.1 to 118.255.127.254118.255.127.25532,766
256118.255.128.0/17118.255.128.1 to 118.255.255.254118.255.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses